Subject: Re: MGC Failure

From: Natarajan Kalpathy <[email-masked]>
Date: Tue, 24 Aug 1999 13:39:48 -0500

I  think  a   periodic  AUDIT  from  MGC   may  solve  this  polling  mechanism
. If  the  MG  doesn't   get  an  Audit  command  for  certain duration of time
it  can  assume  that  the  MGC  is  dead ??

Natarajan Kalpathy

Ashok Khuntia <[email-masked]> on 08/24/99 01:06:15 PM

Please respond to Ashok Khuntia <[email-masked]>

Sent by:  Ashok Khuntia <[email-masked]>

To:   [email-masked]
cc:    (Natarajan Kalpathy/MW/US/3Com)
Subject:  Re: MGC Failure

What if the application is such that the MG does not send any Notify (or sends
very infrequently) to the MGC. All the commands are issued by the MGC and the MG
just responds. How does the MG detect MGC failure in such cases?

Any comments will be appreciated.

Ashok

----- Begin Included Message -----

>From [email-masked] Tue Aug 24 12:23:55 1999
MIME-Version: 1.0
Date:         Tue, 24 Aug 1999 13:33:12 -0400
From: Brian Rosen <[email-masked]>
Subject:      Re: MGC Failure
To: [email-masked]

> > Does the protocol say anything about this?
>         [[TomT]]
>         Notify is ACKed -- this was an oversight which will
> be corrected in
> the next issue of the protocol document.  The protocol has no explicit
> provision for detection of MGC failure.  The most likely
> scenario is that a
> backup MGC will actually take over by issuing a ServiceChange
> to the MG.
There is no takeover, there is handoff, but not takeover.
MGC failure is detected by lack of ack.

>         I expect lots of comment on this one because it is an
> area which may
> need more work..
Let's not go there.  We need more experience before we invent more
mechanism in this area, I think.

> > 2. The H.GCPMEGACO/H.248 document says the following:
> >
> >
> > Page 62
> > -------
> >
> > If a new Media Gateway Controller is detected, the Media
> Gateway starts
> > transmitting outstanding commands to that new agent.
> Responses to commands
> > are still transmitted to the source address of the command.
This is leftover MGCP stuff, and will be deleted.

> >
> > Page 70
> > -------
> >
> > When the MGC initiates a Handoff, the handover should be
> transparent to
> > Operations on the Media Gateway. Commands in progress continue,
> > transaction replies are sent to the new MGC, ...
This is the behavior we want.

----- End Included Message -----

----- End Included Message -----